Index response signals
import requests
url = "https://{FUSION_HOST}/api/query/{id}/signals"
payload = "{}"
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.lucidworks-document"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION_HOST}/api/query/{id}/signals")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.lucidworks-document")
.body("{}")
.asString();const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.lucidworks-document'
},
body: '{}'
};
fetch('https://{FUSION_HOST}/api/query/{id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/api/query/{id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.lucidworks-document'
request.body = "{}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/api/query/{id}/signals"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.lucidworks-document")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/api/query/{id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.lucidworks-document"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION_HOST}/api/query/{id}/signals \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.lucidworks-document' \
--data '{}'"<string>"Index response signals
Index JSON-formatted response signals into the signal collection specified in a query profile. Usually this means signal documents were previously processed by another pipeline.
POST
/
query
/
{id}
/
signals
Index response signals
import requests
url = "https://{FUSION_HOST}/api/query/{id}/signals"
payload = "{}"
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.lucidworks-document"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION_HOST}/api/query/{id}/signals")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.lucidworks-document")
.body("{}")
.asString();const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.lucidworks-document'
},
body: '{}'
};
fetch('https://{FUSION_HOST}/api/query/{id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/api/query/{id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.lucidworks-document'
request.body = "{}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/api/query/{id}/signals"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.lucidworks-document")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/api/query/{id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.lucidworks-document"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION_HOST}/api/query/{id}/signals \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.lucidworks-document' \
--data '{}'"<string>"Authorizations
Basic authAPI key
Query Parameters
Body
application/vnd.lucidworks-documentapplication/json
The body is of type object.
Response
200 - application/json
OK
The response is of type string.
Was this page helpful?